using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.TouristBusinessLogicsContracts
{
    public interface IExcursionLogic
    {
        List<ExcursionViewModel>? ReadList(ExcursionSearchModel? model);
        ExcursionViewModel? ReadElement(ExcursionSearchModel model);
        bool Create(ExcursionBindingModel model);
        bool Update(ExcursionBindingModel model);
        bool Delete(ExcursionBindingModel model);
    }
}
